Bug 17692 - Can't add library EAN under Plack
Summary: Can't add library EAN under Plack
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Acquisitions (show other bugs)
Version: master
Hardware: All All
: P5 - low major (vote)
Assignee: Kyle M Hall
QA Contact: Testopia
URL:
Whiteboard:
Keywords:
Depends on: 7736
Blocks:
  Show dependency treegraph
 
Reported: 2016-11-29 08:58 UTC by Katrin Fischer
Modified: 2017-06-14 22:18 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 17692 - Can't add library EAN under Plack (4.22 KB, patch)
2016-12-15 11:11 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 17692 - Can't add library EAN under Plack (4.35 KB, patch)
2016-12-16 08:06 UTC, Marc Véron
Details | Diff | Splinter Review
Bug 17692 - Can't add library EAN under Plack (4.42 KB, patch)
2016-12-20 14:31 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 17692: Remove 'CGI::param called in list context' warnings (2.10 KB, patch)
2016-12-20 14:31 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Katrin Fischer 2016-11-29 08:58:56 UTC
When adding a library ean under plack, there is an "internal server error" when running Plack. Tested with Koha 16.11 release.
Comment 1 Kyle M Hall 2016-12-15 11:11:51 UTC
Created attachment 58200 [details] [review]
Bug 17692 - Can't add library EAN under Plack

When adding a library ean under plack, there is an "internal server
error" when running Plack. Tested with Koha 16.11 release.

Test Plan:
1) Apply this patch
2) Enable Plack
3) Add, Edit and Delete a Library EAN
Comment 2 Marc Véron 2016-12-16 08:06:30 UTC
Created attachment 58236 [details] [review]
Bug 17692 - Can't add library EAN under Plack

When adding a library ean under plack, there is an "internal server
error" when running Plack. Tested with Koha 16.11 release.

Test Plan:
1) Apply this patch
2) Enable Plack
3) Add, Edit and Delete a Library EAN

Signed-off-by: Marc Véron <veron@veron.ch>
Comment 3 Jonathan Druart 2016-12-20 14:31:39 UTC
Created attachment 58298 [details] [review]
Bug 17692 - Can't add library EAN under Plack

When adding a library ean under plack, there is an "internal server
error" when running Plack. Tested with Koha 16.11 release.

Test Plan:
1) Apply this patch
2) Enable Plack
3) Add, Edit and Delete a Library EAN

Signed-off-by: Marc Véron <veron@veron.ch>

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Comment 4 Jonathan Druart 2016-12-20 14:31:42 UTC
Created attachment 58299 [details] [review]
Bug 17692: Remove 'CGI::param called in list context' warnings

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Comment 5 Kyle M Hall 2016-12-21 12:27:53 UTC
Pushed to master for 17.05, thanks for the followup Jonathan!
Comment 6 Katrin Fischer 2016-12-22 19:22:31 UTC
These patches have been pushed to 16.11.x, will be in 16.11.01.